Subject: Re: [bug#28133] [PATCH] gnu: Add rtl-sdr.; and gnuradio

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 18 Aug 2017 06:54:04 +0200

Hi Arun,

LGTM!  But are we sure about the new module?  I've used rtl-sdr in a professional non-HAM setting before.  I guess it's OK, though :)

Back then I put "volk" into (gnu packages engineering) and not into ham-radio.scm - we might want to revisit it?

Also, just in case you are working on it as well, I have work-in-progress for gnuradio (something fails so I didn't submit it yet).  It might save some effort in that case:

(define-public gnuradio
  (package
    (name "gnuradio")
    (version "3.7.10.2") ; see also: 3.7.11 (!)
    (source
      (origin
        (method url-fetch)
        (uri (string-append "http://gnuradio.org/releases/gnuradio/"
                            "gnuradio-" version ".tar.gz"))
        (sha256
          (base32
            "1yy8nkb6q61885j5k5sfqfas6yc15cadsil0rcyhyngp2223sdrh"))))
    (build-system cmake-build-system)
    (arguments
     `(#:parallel-tests? #f
       #:configure-flags
       '("-DENABLE_INTERNAL_VOLK=OFF")
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'unbundle-volk
           (lambda _
             (delete-file-recursively "volk")
             #t))
         (add-before 'check 'setenv
           (lambda _
             (setenv "HOME" "/tmp")
             #t)))))
    (inputs
      `(;("qtbase" ,qtbase) Qt4
        ;("qtgui" ,qtgui) Qt4
        ("boost" ,boost) ; FIXME maybe remove
        ("fftwf" ,fftwf)
        ("gsl" ,gsl)
        ("libusb", libusb)
        ("wxwidgets" ,wxwidgets) ; -gtk2)
        ("python2-numpy" ,python2-numpy)
        ("volk" ,volk)
 ; TODO gui network widgets svg(runtimeonly)/imageformats
))
    (native-inputs
     `(("alsa-lib" ,alsa-lib) ; FIXME regular input?
       ("cppunit" ,cppunit)
       ("doxygen" ,doxygen) ; for docs
       ("gs" ,ghostscript) ; for docs
       ("orc" ,orc)
       ("pkg-config" ,pkg-config)
       ("python-2", python-2)
       ("python2-cheetah" ,python2-cheetah) ; FIXME maybe remove
       ("swig" ,swig)
       ("texlive-minimal" ,texlive-minimal) ; for docs
       ("python2-scipy" ,python2-scipy))) ; FIXME at runtime ?
    (home-page "https://www.gnuradio.org/")
    (synopsis "Software-defined radio")
    (description
      "This package contains tools for Software-defined radio.
For this to be useful as radio receiver you also need extra hardware.")
    (license license:gpl3+)))

(define-public gqrx
  (package
    (name "gqrx")
    (version "2.6")
    (source
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/csete/gqrx/releases/download/v2.6/"
                            "gqrx-sdr-" version "-src.tar.xz"))
        (sha256
          (base32
            "06jq50r0n86448q4l18hhzk5r6s4yzi2i1fc32ybjh06sqydsax8"))))
    (build-system cmake-build-system)
    ; FIXME propagate input qtsvg - see <https://bugs.launchpad.net/bugs/1652531>
    (inputs
     `(("qtbase" ,qtbase)
       ("gnuradio" ,gnuradio)
       ("boost" ,boost)))
    (home-page "http://gqrx.dk/")
    (synopsis "Software-defined radio")
    (description
      "This package contains tools for Software-defined radio.
For this to be useful as radio receiver you also need extra hardware.")
    ;; TODO simplified BSD
    (license license:gpl3+)))